.steam:upload:
    script:
        - echo "Upload"
        # Copy steam scripts to local project dir
        # Should be done by GIT strategy but is currently not possible because of artifact repo size bugs
        - rm -rf ${CI_PROJECT_DIR}/steam
        - mkdir -p ${SHARED_CI}/steam/scripts ${CI_PROJECT_DIR}/steam
        - cp -r ${SHARED_CI}/steam/scripts ${CI_PROJECT_DIR}/steam/scripts
        - APP_BUILD_FILE=${CI_PROJECT_DIR}/steam/scripts/app_build.vdf
        # Export so envsubst picks it up
        - export STEAM_PIPE_DEPOT_BUILD_FILE=${CI_PROJECT_DIR}/steam/scripts/depot_build.vdf
        - export STEAM_PIPE_CONTENT_ROOT=${PACKAGE_BUILD_DIR}
        - export STEAM_PIPE_BUILD_OUTPUT=${CI_PROJECT_DIR}/steampipe-output
        - if [[ ${BACKEND_VERSION_NAME} == "master" ]]; then export STEAM_PIPE_BRANCH_NAME=master; fi
        - if [[ ${BACKEND_VERSION_NAME} != "master" ]]; then export STEAM_PIPE_BRANCH_NAME=branch; fi
        - if [[ ${CI_COMMIT_TAG} != "" ]]; then export STEAM_PIPE_BRANCH_NAME=release; fi
        - envsubst < ${APP_BUILD_FILE} | sponge ${APP_BUILD_FILE}
        - envsubst < ${STEAM_PIPE_DEPOT_BUILD_FILE} | sponge ${STEAM_PIPE_DEPOT_BUILD_FILE}
        # First run once with quit only to update and exit. Updating and uploading game has caused problems when done in one step
        - ${SHARED_CI}/steam/builder/steamcmd +quit || true
        - ${SHARED_CI}/steam/builder/steamcmd +login ${STEAM_PIPE_USER} ${STEAM_PIPE_PASS} +run_app_build ${APP_BUILD_FILE} +quit
    resource_group: steam-pipe-cmd